Subject: Re: bug#31924: 27.0.50; tramp handler /sudo::FILE fails when /bin/sh points to zsh

From: Tino Calancha <[email-masked]>
Date: Wed, 16 Oct 2019 10:41:09 +0000 (UTC)

On Wed, 9 Oct 2019, Michael Albinus wrote:

> I've applied a patch to Emacs master, which should fix this. Could you
> please test? All you need is to run (setq tramp-encoding-shell "/usr/bin/zsh")
> in advance, which tells Tramp to use the proper arguments from
> `tramp-sh-extra-args'.

>I've applied a patch to Emacs master, which should fix this. Could you
>please test? All you need is to run (setq tramp-encoding-shell "/usr/bin/zsh")
>in advance, which tells Tramp to use the proper arguments from
>`tramp-sh-extra-args'.

It's not working for me :-(
  After I set `tramp-encidng-shell', tramp
detects the shell extra arguments, as you can see here:

10:14:09.547170 tramp-maybe-open-connection (6) # /usr/bin/zsh -i -f +Z -V

But apparently, those options are been ignored because I still see those 
funny characters after the prompt (I mean, [?2004h ) causing the time out 
(I hide the IP with MACHINE_IP):

10:14:19.556057 tramp-flush-connection-properties (7) # *tramp/sudo root@ip-MACHINE_IP* (temp-file password-vector session-timeout last-cmd-time)
10:14:19.556173 tramp-get-file-property (8) #  file-truename nil
10:14:19.556233 tramp-flush-directory-properties (8) # 
10:14:19.556912 tramp-get-connection-property (7) # process-buffer nil
10:14:19.556995 tramp-get-connection-property (7) # process-buffer nil
10:14:19.557108 tramp-process-actions (1) # File error: Timeout reached, see buffer ‘*tramp/sudo root@ip-MACHINE_IP*’ for details
#                                                                               #$ [?2004h
10:14:34.916278 tramp-process-actions (3) # Waiting for prompts from remote shell...failed
10:14:34.916546 tramp-maybe-open-connection (3) # Opening connection for root@ip-MACHINE_IP using sudo...failed